### LUKS+dmcrypt

- Available since Linux 2.6
- Transparently decrypts encrypted block devices
- Used by many companies
- Supported by many distros
- Minimal performance impact on modern hardware

```bash
# Partial CLI encrypted root example

cryptsetup luksFormat -s 256 /dev/sda2
cryptsetup open /dev/sda2 newroot
mkfs.ext4 /dev/mapper/newroot
mount /dev/mapper/newroot /mnt

# Continue with typical steps...
```

[comment]: # (!!!) <!--------------------------------------------------------->
